function minimize

    a = [0; 0];
    b = [6;-1];

    u = (a+b)/2;

    options = optimset('GradObj', 'on', 'Display', 'off');
    for i = 1:4
        if i > 1
            u = extend(u, a, b);
        end
        u = fminunc(@wrapper, u, options);
        plot_curve(u, a, b);
    end

    function [t, dt] = wrapper(u)
        t = time(u, a, b);
        dt = difftime(u, a, b);
    end

end
