function t = time(u, a, b)

    N = length(u)/2;
    u = reshape(u, 2, N)

    du = diff([a, u, b], 1, 2);
    norm_du = sqrt(sum(du.^2, 1));

    mu = ([a(2), u(2,:)] + [u(2,:), b(2)])/2;
    speed = sqrt(-mu);

    t = sum(norm_du./speed);

end
